| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Standards
Standards.ASN1
Standards.ASN1.Decode

# Method Standards.ASN1.Decode.der_decode()

Method der_decode

  `.Types.Object der_decode(ADT.struct data, mapping(int:program) types)`

Parameter `data`

  an instance of ADT.struct

Parameter `types`

  a mapping from combined tag numbers to classes from or derived from Standards.ASN1.Types . Combined tag numbers may be generated using Standards.ASN1.Types.make_combined_tag .

Returns

  an object from Standards.ASN1.Types or either Standards.ASN1.Decode.Primitive or Standards.ASN1.Decode.constructed if the type is unknown. Throws an exception if the data could not be decoded.

FIXME

  Handling of implicit and explicit ASN.1 tagging, as well as other context dependence, is next to non_existant.